import { z } from 'zod';

export const accountPreferencesSchema = z.object({
  preferredLanguage: z.enum(['et', 'en', 'ru']).optional().nullable(),
  isConsentToAnonymizedCompanyStatistics: z.boolean().optional(),
});

export type AccountPreferences = z.infer<typeof accountPreferencesSchema>;
